from setuptools import setup


setup(
    name='store',
    description='A database interface to store MD evaluations.',
    author_email='niels.mueller@physik.tu-darmstadt.de',
    packages=['store', 'store.webview'],
    version='0.2',
    requires=['sqlalchemy', 'psycopg2', 'pandas'],
    zip_safe=False,
    include_package_data=True,
    package_data={'store': ['store.cfg'], 'store.webview': [
        'templates/*', 'static/bootstrap_v4/*/*', 'static/jquery_v3/*', 'static/popper_v1/*']},
    entry_points={
        'console_scripts': [
            'mdeval = store.eval:cli',
            'store-dump = store.store:dump_cli'
        ]
    },
)
